version: '3'

services:
  postgres:
    image: postgres:latest
    ports:
      - "5432:5432"
  redis:
    image: redis:latest
    ports:
      - "6379:6379"
  couchbase:
    image: couchbase:latest
    ports:
      - "8091:8091"
      - "8092:8092"
      - "8093:8093"
      - "8094:8094"
      - "8095:8095"
      - "8096:8096"
  mongo:
    image: mongo:latest
    ports:
      - "27017:27017"
  cassandra:
    image: cassandra:latest
    ports:
      - "7000:7000"
      - "7001:7001"
      - "7199:7199"
      - "9042:9042"
      - "9160:9160"
